"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkGateway = void 0;
async function checkGateway(client, gatewaySlug) {
    const gateways = await client.Gateways.All();
    const epPaymentGateway = gateways.data.find((x) => x.slug === gatewaySlug);
    if (epPaymentGateway && epPaymentGateway.enabled) {
        return {
            success: true,
            data: epPaymentGateway,
        };
    }
    return {
        success: false,
        error: new Error(`${gatewaySlug} gateway is not enabled`),
    };
}
exports.checkGateway = checkGateway;
