"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveEpccBaseUrl = void 0;
const resolve_region_1 = require("./resolve-region");
function resolveEpccHost(region) {
    switch (region) {
        case "eu-west":
            return "api.moltin.com";
        case "us-east":
            return "useast.api.elasticpath.com";
        default:
            return "useast.api.elasticpath.com";
    }
}
function resolveEpccBaseUrl(host) {
    const region = (0, resolve_region_1.resolveRegion)(host);
    const url = region === "unknown" ? host : resolveEpccHost(region);
    return `https://${url}`;
}
exports.resolveEpccBaseUrl = resolveEpccBaseUrl;
