export var ActionDataSourceType;
(function (ActionDataSourceType) {
    ActionDataSourceType["Boolean"] = "BOOLEAN";
    ActionDataSourceType["Code"] = "CODE";
    ActionDataSourceType["Connection"] = "CONNECTION";
    ActionDataSourceType["Credential"] = "CREDENTIAL";
    ActionDataSourceType["Date"] = "DATE";
    ActionDataSourceType["Jsonform"] = "JSONFORM";
    ActionDataSourceType["Number"] = "NUMBER";
    ActionDataSourceType["Objectfieldmap"] = "OBJECTFIELDMAP";
    ActionDataSourceType["Objectselection"] = "OBJECTSELECTION";
    ActionDataSourceType["Picklist"] = "PICKLIST";
    ActionDataSourceType["Schedule"] = "SCHEDULE";
    ActionDataSourceType["String"] = "STRING";
    ActionDataSourceType["Timestamp"] = "TIMESTAMP";
})(ActionDataSourceType || (ActionDataSourceType = {}));
export var ActionOrderField;
(function (ActionOrderField) {
    ActionOrderField["IsCommonTrigger"] = "IS_COMMON_TRIGGER";
    ActionOrderField["IsDataSource"] = "IS_DATA_SOURCE";
    ActionOrderField["IsTrigger"] = "IS_TRIGGER";
    ActionOrderField["Label"] = "LABEL";
})(ActionOrderField || (ActionOrderField = {}));
export var ActionScheduleSupport;
(function (ActionScheduleSupport) {
    ActionScheduleSupport["Invalid"] = "INVALID";
    ActionScheduleSupport["Required"] = "REQUIRED";
    ActionScheduleSupport["Valid"] = "VALID";
})(ActionScheduleSupport || (ActionScheduleSupport = {}));
export var ActionSynchronousResponseSupport;
(function (ActionSynchronousResponseSupport) {
    ActionSynchronousResponseSupport["Invalid"] = "INVALID";
    ActionSynchronousResponseSupport["Required"] = "REQUIRED";
    ActionSynchronousResponseSupport["Valid"] = "VALID";
})(ActionSynchronousResponseSupport || (ActionSynchronousResponseSupport = {}));
export var ActivityOrderField;
(function (ActivityOrderField) {
    ActivityOrderField["Timestamp"] = "TIMESTAMP";
})(ActivityOrderField || (ActivityOrderField = {}));
export var AlertEventOrderField;
(function (AlertEventOrderField) {
    AlertEventOrderField["CreatedAt"] = "CREATED_AT";
    AlertEventOrderField["Customer"] = "CUSTOMER";
    AlertEventOrderField["Details"] = "DETAILS";
    AlertEventOrderField["FlowConfig"] = "FLOW_CONFIG";
    AlertEventOrderField["Instance"] = "INSTANCE";
    AlertEventOrderField["Integration"] = "INTEGRATION";
    AlertEventOrderField["Monitor"] = "MONITOR";
    AlertEventOrderField["Triggers"] = "TRIGGERS";
})(AlertEventOrderField || (AlertEventOrderField = {}));
export var AlertMonitorOrderField;
(function (AlertMonitorOrderField) {
    AlertMonitorOrderField["Customer"] = "CUSTOMER";
    AlertMonitorOrderField["FlowConfig"] = "FLOW_CONFIG";
    AlertMonitorOrderField["FlowConfigFlow"] = "FLOW_CONFIG__FLOW";
    AlertMonitorOrderField["Instance"] = "INSTANCE";
    AlertMonitorOrderField["Integration"] = "INTEGRATION";
    AlertMonitorOrderField["LastTriggeredAt"] = "LAST_TRIGGERED_AT";
    AlertMonitorOrderField["Name"] = "NAME";
    AlertMonitorOrderField["Triggered"] = "TRIGGERED";
    AlertMonitorOrderField["Triggers"] = "TRIGGERS";
})(AlertMonitorOrderField || (AlertMonitorOrderField = {}));
export var AlertTriggerOrderField;
(function (AlertTriggerOrderField) {
    AlertTriggerOrderField["Name"] = "NAME";
})(AlertTriggerOrderField || (AlertTriggerOrderField = {}));
export var AlertWebhookOrderField;
(function (AlertWebhookOrderField) {
    AlertWebhookOrderField["Name"] = "NAME";
    AlertWebhookOrderField["Url"] = "URL";
})(AlertWebhookOrderField || (AlertWebhookOrderField = {}));
export var AuthObjectTypeOrderField;
(function (AuthObjectTypeOrderField) {
    AuthObjectTypeOrderField["Name"] = "NAME";
})(AuthObjectTypeOrderField || (AuthObjectTypeOrderField = {}));
export var ComponentOrderField;
(function (ComponentOrderField) {
    ComponentOrderField["Category"] = "CATEGORY";
    ComponentOrderField["Customer"] = "CUSTOMER";
    ComponentOrderField["Description"] = "DESCRIPTION";
    ComponentOrderField["Label"] = "LABEL";
    ComponentOrderField["VersionNumber"] = "VERSION_NUMBER";
})(ComponentOrderField || (ComponentOrderField = {}));
export var ConnectionOauth2Type;
(function (ConnectionOauth2Type) {
    ConnectionOauth2Type["AuthorizationCode"] = "AUTHORIZATION_CODE";
    ConnectionOauth2Type["ClientCredentials"] = "CLIENT_CREDENTIALS";
})(ConnectionOauth2Type || (ConnectionOauth2Type = {}));
export var ConnectionOrderField;
(function (ConnectionOrderField) {
    ConnectionOrderField["Key"] = "KEY";
    ConnectionOrderField["Label"] = "LABEL";
    ConnectionOrderField["Order"] = "ORDER";
})(ConnectionOrderField || (ConnectionOrderField = {}));
export var CredentialFieldType;
(function (CredentialFieldType) {
    CredentialFieldType["Keyvalue"] = "KEYVALUE";
    CredentialFieldType["Password"] = "PASSWORD";
    CredentialFieldType["String"] = "STRING";
    CredentialFieldType["Text"] = "TEXT";
})(CredentialFieldType || (CredentialFieldType = {}));
export var CredentialOrderField;
(function (CredentialOrderField) {
    CredentialOrderField["AuthorizationMethod"] = "AUTHORIZATION_METHOD";
    CredentialOrderField["Customer"] = "CUSTOMER";
    CredentialOrderField["Label"] = "LABEL";
})(CredentialOrderField || (CredentialOrderField = {}));
export var CustomerOrderField;
(function (CustomerOrderField) {
    CustomerOrderField["Description"] = "DESCRIPTION";
    CustomerOrderField["Name"] = "NAME";
})(CustomerOrderField || (CustomerOrderField = {}));
export var CustomerTotalUsageMetricsOrderField;
(function (CustomerTotalUsageMetricsOrderField) {
    CustomerTotalUsageMetricsOrderField["SnapshotTime"] = "SNAPSHOT_TIME";
})(CustomerTotalUsageMetricsOrderField || (CustomerTotalUsageMetricsOrderField = {}));
export var ExpressionType;
(function (ExpressionType) {
    ExpressionType["Complex"] = "COMPLEX";
    ExpressionType["Configvar"] = "CONFIGVAR";
    ExpressionType["Reference"] = "REFERENCE";
    ExpressionType["Template"] = "TEMPLATE";
    ExpressionType["Value"] = "VALUE";
})(ExpressionType || (ExpressionType = {}));
export var ExternalLogStreamOrderField;
(function (ExternalLogStreamOrderField) {
    ExternalLogStreamOrderField["Name"] = "NAME";
})(ExternalLogStreamOrderField || (ExternalLogStreamOrderField = {}));
export var InputFieldCollection;
(function (InputFieldCollection) {
    InputFieldCollection["Keyvaluelist"] = "KEYVALUELIST";
    InputFieldCollection["Valuelist"] = "VALUELIST";
})(InputFieldCollection || (InputFieldCollection = {}));
export var InputFieldType;
(function (InputFieldType) {
    InputFieldType["Boolean"] = "BOOLEAN";
    InputFieldType["Code"] = "CODE";
    InputFieldType["Conditional"] = "CONDITIONAL";
    InputFieldType["Connection"] = "CONNECTION";
    InputFieldType["Data"] = "DATA";
    InputFieldType["Dynamicfieldselection"] = "DYNAMICFIELDSELECTION";
    InputFieldType["Dynamicobjectselection"] = "DYNAMICOBJECTSELECTION";
    InputFieldType["Jsonform"] = "JSONFORM";
    InputFieldType["Objectfieldmap"] = "OBJECTFIELDMAP";
    InputFieldType["Objectselection"] = "OBJECTSELECTION";
    InputFieldType["Password"] = "PASSWORD";
    InputFieldType["String"] = "STRING";
    InputFieldType["Text"] = "TEXT";
})(InputFieldType || (InputFieldType = {}));
export var InstanceConfigState;
(function (InstanceConfigState) {
    InstanceConfigState["FullyConfigured"] = "FULLY_CONFIGURED";
    InstanceConfigState["NeedsInstanceConfiguration"] = "NEEDS_INSTANCE_CONFIGURATION";
    InstanceConfigState["NeedsUserLevelConfiguration"] = "NEEDS_USER_LEVEL_CONFIGURATION";
})(InstanceConfigState || (InstanceConfigState = {}));
export var InstanceConfigVariableScheduleType;
(function (InstanceConfigVariableScheduleType) {
    InstanceConfigVariableScheduleType["Custom"] = "CUSTOM";
    InstanceConfigVariableScheduleType["Day"] = "DAY";
    InstanceConfigVariableScheduleType["Hour"] = "HOUR";
    InstanceConfigVariableScheduleType["Minute"] = "MINUTE";
    InstanceConfigVariableScheduleType["None"] = "NONE";
    InstanceConfigVariableScheduleType["Week"] = "WEEK";
})(InstanceConfigVariableScheduleType || (InstanceConfigVariableScheduleType = {}));
export var InstanceConfigVariableStatus;
(function (InstanceConfigVariableStatus) {
    InstanceConfigVariableStatus["Active"] = "ACTIVE";
    InstanceConfigVariableStatus["Error"] = "ERROR";
    InstanceConfigVariableStatus["Pending"] = "PENDING";
})(InstanceConfigVariableStatus || (InstanceConfigVariableStatus = {}));
export var InstanceDailyUsageMetricsOrderField;
(function (InstanceDailyUsageMetricsOrderField) {
    InstanceDailyUsageMetricsOrderField["SnapshotDate"] = "SNAPSHOT_DATE";
})(InstanceDailyUsageMetricsOrderField || (InstanceDailyUsageMetricsOrderField = {}));
export var InstanceExecutionResultOrderField;
(function (InstanceExecutionResultOrderField) {
    InstanceExecutionResultOrderField["EndedAt"] = "ENDED_AT";
    InstanceExecutionResultOrderField["StartedAt"] = "STARTED_AT";
})(InstanceExecutionResultOrderField || (InstanceExecutionResultOrderField = {}));
export var InstanceFlowConfigOrderField;
(function (InstanceFlowConfigOrderField) {
    InstanceFlowConfigOrderField["SortOrder"] = "SORT_ORDER";
})(InstanceFlowConfigOrderField || (InstanceFlowConfigOrderField = {}));
export var InstanceOrderField;
(function (InstanceOrderField) {
    InstanceOrderField["Category"] = "CATEGORY";
    InstanceOrderField["Customer"] = "CUSTOMER";
    InstanceOrderField["Description"] = "DESCRIPTION";
    InstanceOrderField["Enabled"] = "ENABLED";
    InstanceOrderField["Integration"] = "INTEGRATION";
    InstanceOrderField["Name"] = "NAME";
    InstanceOrderField["Version"] = "VERSION";
})(InstanceOrderField || (InstanceOrderField = {}));
export var InstanceStepResultOrderField;
(function (InstanceStepResultOrderField) {
    InstanceStepResultOrderField["EndedAt"] = "ENDED_AT";
    InstanceStepResultOrderField["StartedAt"] = "STARTED_AT";
})(InstanceStepResultOrderField || (InstanceStepResultOrderField = {}));
export var IntegrationActionErrorHandlerType;
(function (IntegrationActionErrorHandlerType) {
    IntegrationActionErrorHandlerType["Fail"] = "FAIL";
    IntegrationActionErrorHandlerType["Ignore"] = "IGNORE";
    IntegrationActionErrorHandlerType["Retry"] = "RETRY";
})(IntegrationActionErrorHandlerType || (IntegrationActionErrorHandlerType = {}));
export var IntegrationEndpointType;
(function (IntegrationEndpointType) {
    IntegrationEndpointType["FlowSpecific"] = "FLOW_SPECIFIC";
    IntegrationEndpointType["InstanceSpecific"] = "INSTANCE_SPECIFIC";
    IntegrationEndpointType["SharedInstance"] = "SHARED_INSTANCE";
})(IntegrationEndpointType || (IntegrationEndpointType = {}));
export var IntegrationOrderField;
(function (IntegrationOrderField) {
    IntegrationOrderField["Category"] = "CATEGORY";
    IntegrationOrderField["Customer"] = "CUSTOMER";
    IntegrationOrderField["Description"] = "DESCRIPTION";
    IntegrationOrderField["Name"] = "NAME";
    IntegrationOrderField["VersionNumber"] = "VERSION_NUMBER";
})(IntegrationOrderField || (IntegrationOrderField = {}));
export var IntegrationStoreConfiguration;
(function (IntegrationStoreConfiguration) {
    IntegrationStoreConfiguration["AvailableAndDeployable"] = "AVAILABLE_AND_DEPLOYABLE";
    IntegrationStoreConfiguration["AvailableNotDeployable"] = "AVAILABLE_NOT_DEPLOYABLE";
    IntegrationStoreConfiguration["NotAvailableInStore"] = "NOT_AVAILABLE_IN_STORE";
})(IntegrationStoreConfiguration || (IntegrationStoreConfiguration = {}));
export var IntegrationTemplateConfiguration;
(function (IntegrationTemplateConfiguration) {
    IntegrationTemplateConfiguration["Available"] = "AVAILABLE";
    IntegrationTemplateConfiguration["CustomerAvailable"] = "CUSTOMER_AVAILABLE";
    IntegrationTemplateConfiguration["NotAvailable"] = "NOT_AVAILABLE";
    IntegrationTemplateConfiguration["OrgAvailable"] = "ORG_AVAILABLE";
})(IntegrationTemplateConfiguration || (IntegrationTemplateConfiguration = {}));
export var LogOrderField;
(function (LogOrderField) {
    LogOrderField["ConfigVariable"] = "CONFIG_VARIABLE";
    LogOrderField["Customer"] = "CUSTOMER";
    LogOrderField["Flow"] = "FLOW";
    LogOrderField["FlowConfig"] = "FLOW_CONFIG";
    LogOrderField["Instance"] = "INSTANCE";
    LogOrderField["Integration"] = "INTEGRATION";
    LogOrderField["Message"] = "MESSAGE";
    LogOrderField["Severity"] = "SEVERITY";
    LogOrderField["Timestamp"] = "TIMESTAMP";
    LogOrderField["UserLevelConfigVariable"] = "USER_LEVEL_CONFIG_VARIABLE";
})(LogOrderField || (LogOrderField = {}));
export var LogSeverityLevel;
(function (LogSeverityLevel) {
    LogSeverityLevel["Debug"] = "DEBUG";
    LogSeverityLevel["Error"] = "ERROR";
    LogSeverityLevel["Fatal"] = "FATAL";
    LogSeverityLevel["Info"] = "INFO";
    LogSeverityLevel["Metric"] = "METRIC";
    LogSeverityLevel["Trace"] = "TRACE";
    LogSeverityLevel["Warn"] = "WARN";
})(LogSeverityLevel || (LogSeverityLevel = {}));
export var MarketplaceConfiguration;
(function (MarketplaceConfiguration) {
    MarketplaceConfiguration["AvailableAndDeployable"] = "AVAILABLE_AND_DEPLOYABLE";
    MarketplaceConfiguration["AvailableNotDeployable"] = "AVAILABLE_NOT_DEPLOYABLE";
    MarketplaceConfiguration["NotAvailableInMarketplace"] = "NOT_AVAILABLE_IN_MARKETPLACE";
})(MarketplaceConfiguration || (MarketplaceConfiguration = {}));
export var MediaType;
(function (MediaType) {
    MediaType["Attachment"] = "ATTACHMENT";
    MediaType["Avatar"] = "AVATAR";
})(MediaType || (MediaType = {}));
export var ObjectPermissionGrantOrderField;
(function (ObjectPermissionGrantOrderField) {
    ObjectPermissionGrantOrderField["Permission"] = "PERMISSION";
})(ObjectPermissionGrantOrderField || (ObjectPermissionGrantOrderField = {}));
export var OrderDirection;
(function (OrderDirection) {
    OrderDirection["Asc"] = "ASC";
    OrderDirection["Desc"] = "DESC";
})(OrderDirection || (OrderDirection = {}));
export var OrgDailyUsageMetricsOrderField;
(function (OrgDailyUsageMetricsOrderField) {
    OrgDailyUsageMetricsOrderField["SnapshotDate"] = "SNAPSHOT_DATE";
})(OrgDailyUsageMetricsOrderField || (OrgDailyUsageMetricsOrderField = {}));
export var OrgTotalUsageMetricsOrderField;
(function (OrgTotalUsageMetricsOrderField) {
    OrgTotalUsageMetricsOrderField["SnapshotTime"] = "SNAPSHOT_TIME";
})(OrgTotalUsageMetricsOrderField || (OrgTotalUsageMetricsOrderField = {}));
export var PermissionOrderField;
(function (PermissionOrderField) {
    PermissionOrderField["Name"] = "NAME";
})(PermissionOrderField || (PermissionOrderField = {}));
export var RequiredConfigVariableCodeLanguage;
(function (RequiredConfigVariableCodeLanguage) {
    RequiredConfigVariableCodeLanguage["Html"] = "HTML";
    RequiredConfigVariableCodeLanguage["Json"] = "JSON";
    RequiredConfigVariableCodeLanguage["Xml"] = "XML";
})(RequiredConfigVariableCodeLanguage || (RequiredConfigVariableCodeLanguage = {}));
export var RequiredConfigVariableCollectionType;
(function (RequiredConfigVariableCollectionType) {
    RequiredConfigVariableCollectionType["Keyvaluelist"] = "KEYVALUELIST";
    RequiredConfigVariableCollectionType["Valuelist"] = "VALUELIST";
})(RequiredConfigVariableCollectionType || (RequiredConfigVariableCollectionType = {}));
export var RequiredConfigVariableDataType;
(function (RequiredConfigVariableDataType) {
    RequiredConfigVariableDataType["Boolean"] = "BOOLEAN";
    RequiredConfigVariableDataType["Code"] = "CODE";
    RequiredConfigVariableDataType["Connection"] = "CONNECTION";
    RequiredConfigVariableDataType["Credential"] = "CREDENTIAL";
    RequiredConfigVariableDataType["Date"] = "DATE";
    RequiredConfigVariableDataType["Jsonform"] = "JSONFORM";
    RequiredConfigVariableDataType["Number"] = "NUMBER";
    RequiredConfigVariableDataType["Objectfieldmap"] = "OBJECTFIELDMAP";
    RequiredConfigVariableDataType["Objectselection"] = "OBJECTSELECTION";
    RequiredConfigVariableDataType["Picklist"] = "PICKLIST";
    RequiredConfigVariableDataType["Schedule"] = "SCHEDULE";
    RequiredConfigVariableDataType["String"] = "STRING";
    RequiredConfigVariableDataType["Timestamp"] = "TIMESTAMP";
})(RequiredConfigVariableDataType || (RequiredConfigVariableDataType = {}));
export var RequiredConfigVariableOrderField;
(function (RequiredConfigVariableOrderField) {
    RequiredConfigVariableOrderField["SortOrder"] = "SORT_ORDER";
})(RequiredConfigVariableOrderField || (RequiredConfigVariableOrderField = {}));
export var RequiredConfigVariableScheduleType;
(function (RequiredConfigVariableScheduleType) {
    RequiredConfigVariableScheduleType["Custom"] = "CUSTOM";
    RequiredConfigVariableScheduleType["Day"] = "DAY";
    RequiredConfigVariableScheduleType["Hour"] = "HOUR";
    RequiredConfigVariableScheduleType["Minute"] = "MINUTE";
    RequiredConfigVariableScheduleType["None"] = "NONE";
    RequiredConfigVariableScheduleType["Week"] = "WEEK";
})(RequiredConfigVariableScheduleType || (RequiredConfigVariableScheduleType = {}));
export var StarredRecordOrderField;
(function (StarredRecordOrderField) {
    StarredRecordOrderField["Timestamp"] = "TIMESTAMP";
})(StarredRecordOrderField || (StarredRecordOrderField = {}));
export var ThemeColorType;
(function (ThemeColorType) {
    ThemeColorType["Accent"] = "ACCENT";
    ThemeColorType["Background"] = "BACKGROUND";
    ThemeColorType["Debug"] = "DEBUG";
    ThemeColorType["Error"] = "ERROR";
    ThemeColorType["IconColor"] = "ICON_COLOR";
    ThemeColorType["Info"] = "INFO";
    ThemeColorType["LinkColor"] = "LINK_COLOR";
    ThemeColorType["Metric"] = "METRIC";
    ThemeColorType["Other01"] = "OTHER01";
    ThemeColorType["Primary"] = "PRIMARY";
    ThemeColorType["Secondary"] = "SECONDARY";
    ThemeColorType["Sidebar"] = "SIDEBAR";
    ThemeColorType["Success"] = "SUCCESS";
    ThemeColorType["Trace"] = "TRACE";
    ThemeColorType["Warning"] = "WARNING";
})(ThemeColorType || (ThemeColorType = {}));
export var ThemeColorVariant;
(function (ThemeColorVariant) {
    ThemeColorVariant["Dark"] = "DARK";
    ThemeColorVariant["EmbeddedDark"] = "EMBEDDED_DARK";
    ThemeColorVariant["EmbeddedLight"] = "EMBEDDED_LIGHT";
    ThemeColorVariant["Light"] = "LIGHT";
})(ThemeColorVariant || (ThemeColorVariant = {}));
export var ThemePropertyType;
(function (ThemePropertyType) {
    ThemePropertyType["BorderRadius"] = "BORDER_RADIUS";
    ThemePropertyType["DisableElevation"] = "DISABLE_ELEVATION";
})(ThemePropertyType || (ThemePropertyType = {}));
export var ThemePropertyVariant;
(function (ThemePropertyVariant) {
    ThemePropertyVariant["Dark"] = "DARK";
    ThemePropertyVariant["EmbeddedDark"] = "EMBEDDED_DARK";
    ThemePropertyVariant["EmbeddedLight"] = "EMBEDDED_LIGHT";
    ThemePropertyVariant["Light"] = "LIGHT";
})(ThemePropertyVariant || (ThemePropertyVariant = {}));
export var UserLevelConfigOrderField;
(function (UserLevelConfigOrderField) {
    UserLevelConfigOrderField["CreatedAt"] = "CREATED_AT";
    UserLevelConfigOrderField["Email"] = "EMAIL";
    UserLevelConfigOrderField["ExternalId"] = "EXTERNAL_ID";
    UserLevelConfigOrderField["Name"] = "NAME";
    UserLevelConfigOrderField["UpdatedAt"] = "UPDATED_AT";
})(UserLevelConfigOrderField || (UserLevelConfigOrderField = {}));
export var UserLevelConfigVariableScheduleType;
(function (UserLevelConfigVariableScheduleType) {
    UserLevelConfigVariableScheduleType["Custom"] = "CUSTOM";
    UserLevelConfigVariableScheduleType["Day"] = "DAY";
    UserLevelConfigVariableScheduleType["Hour"] = "HOUR";
    UserLevelConfigVariableScheduleType["Minute"] = "MINUTE";
    UserLevelConfigVariableScheduleType["None"] = "NONE";
    UserLevelConfigVariableScheduleType["Week"] = "WEEK";
})(UserLevelConfigVariableScheduleType || (UserLevelConfigVariableScheduleType = {}));
export var UserLevelConfigVariableStatus;
(function (UserLevelConfigVariableStatus) {
    UserLevelConfigVariableStatus["Active"] = "ACTIVE";
    UserLevelConfigVariableStatus["Error"] = "ERROR";
    UserLevelConfigVariableStatus["Pending"] = "PENDING";
})(UserLevelConfigVariableStatus || (UserLevelConfigVariableStatus = {}));
export var UserOrderField;
(function (UserOrderField) {
    UserOrderField["Email"] = "EMAIL";
    UserOrderField["Name"] = "NAME";
})(UserOrderField || (UserOrderField = {}));
export var VersionOrderDirection;
(function (VersionOrderDirection) {
    VersionOrderDirection["Asc"] = "ASC";
    VersionOrderDirection["Desc"] = "DESC";
})(VersionOrderDirection || (VersionOrderDirection = {}));
export var VersionOrderField;
(function (VersionOrderField) {
    VersionOrderField["PublishedAt"] = "PUBLISHED_AT";
    VersionOrderField["PublishedBy"] = "PUBLISHED_BY";
    VersionOrderField["VersionNumber"] = "VERSION_NUMBER";
})(VersionOrderField || (VersionOrderField = {}));
export const UserInfoFragmentDoc = { "kind": "Document", "definitions": [{ "kind": "FragmentDefinition", "name": { "kind": "Name", "value": "userInfo" }, "typeCondition": { "kind": "NamedType", "name": { "kind": "Name", "value": "User" } }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "email" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "avatarUrl" } }, { "kind": "Field", "name": { "kind": "Name", "value": "appName" } }, { "kind": "Field", "name": { "kind": "Name", "value": "marketplaceName" } }, { "kind": "Field", "name": { "kind": "Name", "value": "appAvatarUrl" } }, { "kind": "Field", "name": { "kind": "Name", "value": "darkMode" } }, { "kind": "Field", "name": { "kind": "Name", "value": "darkModeSyncWithOs" } }, { "kind": "Field", "name": { "kind": "Name", "value": "dateJoined" } }, { "kind": "Field", "name": { "kind": "Name", "value": "featureFlags" } }, { "kind": "Field", "name": { "kind": "Name", "value": "org" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "avatarUrl" } }, { "kind": "Field", "name": { "kind": "Name", "value": "currentPlan" } }, { "kind": "Field", "name": { "kind": "Name", "value": "overdue" } }, { "kind": "Field", "name": { "kind": "Name", "value": "featureFlags" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowExecutionRetryConfig" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddUser" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddCustomer" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowCustomTheme" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowConfigureThemes" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowViewBilling" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddAlertGroup" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddIntegration" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddAlertWebhook" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddCredential" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddExternalLogStream" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddSigningKey" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowEnableInstance" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowExecuteInstance" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowPublishComponent" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowRemove" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowUpdate" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowConfigureEmbedded" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowConfigureExternalLogStreams" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowConfigureCredentials" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowUserLevelConfig" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "customer" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "org" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "avatarUrl" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddUser" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowRemove" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowUpdate" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowConfigureCredentials" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddInstance" } }, { "kind": "Field", "name": { "kind": "Name", "value": "externalId" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "role" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }] };
export const CheckIfInstanceNameExistsDocument = { "kind": "Document", "definitions": [{ "kind": "OperationDefinition", "operation": "query", "name": { "kind": "Name", "value": "checkIfInstanceNameExists" }, "variableDefinitions": [{ "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "customerId" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "ID" } } } }, { "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "name" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "String" } } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "instances" }, "arguments": [{ "kind": "Argument", "name": { "kind": "Name", "value": "name_Icontains" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "name" } } }, { "kind": "Argument", "name": { "kind": "Name", "value": "customer" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "customerId" } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "nodes" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }] } }] };
export const DeployInstanceDocument = { "kind": "Document", "definitions": [{ "kind": "OperationDefinition", "operation": "mutation", "name": { "kind": "Name", "value": "deployInstance" }, "variableDefinitions": [{ "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "instanceId" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "ID" } } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "deployInstance" }, "arguments": [{ "kind": "Argument", "name": { "kind": "Name", "value": "input" }, "value": { "kind": "ObjectValue", "fields": [{ "kind": "ObjectField", "name": { "kind": "Name", "value": "id" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "instanceId" } } }] } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "errors" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "field" } }, { "kind": "Field", "name": { "kind": "Name", "value": "messages" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "instance" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "customer" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "integration" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "versionNumber" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }] } }] };
export const GetIntegrationDocument = { "kind": "Document", "definitions": [{ "kind": "OperationDefinition", "operation": "query", "name": { "kind": "Name", "value": "getIntegration" }, "variableDefinitions": [{ "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "id" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "ID" } } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "integration" }, "arguments": [{ "kind": "Argument", "name": { "kind": "Name", "value": "id" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "id" } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "description" } }] } }] } }] };
export const CreateInstanceDocument = { "kind": "Document", "definitions": [{ "kind": "OperationDefinition", "operation": "mutation", "name": { "kind": "Name", "value": "createInstance" }, "variableDefinitions": [{ "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "integrationId" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "ID" } } } }, { "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "customerId" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "ID" } } } }, { "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "name" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "String" } } } }, { "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "description" } }, "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "String" } } }, { "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "labels" } }, "type": { "kind": "ListType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "String" } } } }, { "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "configVariables" } }, "type": { "kind": "ListType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "InputInstanceConfigVariable" } } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "createInstance" }, "arguments": [{ "kind": "Argument", "name": { "kind": "Name", "value": "input" }, "value": { "kind": "ObjectValue", "fields": [{ "kind": "ObjectField", "name": { "kind": "Name", "value": "name" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "name" } } }, { "kind": "ObjectField", "name": { "kind": "Name", "value": "description" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "description" } } }, { "kind": "ObjectField", "name": { "kind": "Name", "value": "labels" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "labels" } } }, { "kind": "ObjectField", "name": { "kind": "Name", "value": "integration" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "integrationId" } } }, { "kind": "ObjectField", "name": { "kind": "Name", "value": "customer" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "customerId" } } }, { "kind": "ObjectField", "name": { "kind": "Name", "value": "configVariables" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "configVariables" } } }] } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "instance" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "description" } }, { "kind": "Field", "name": { "kind": "Name", "value": "labels" } }, { "kind": "Field", "name": { "kind": "Name", "value": "customer" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "integration" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "versionNumber" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "configVariables" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "nodes" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "authorizeUrl" } }, { "kind": "Field", "name": { "kind": "Name", "value": "status" } }, { "kind": "Field", "name": { "kind": "Name", "value": "value" } }, { "kind": "Field", "name": { "kind": "Name", "value": "requiredConfigVariable" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "dataType" } }] } }] } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "errors" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "field" } }, { "kind": "Field", "name": { "kind": "Name", "value": "messages" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }] } }] };
export const GetMarketplaceIntegrationDocument = { "kind": "Document", "definitions": [{ "kind": "OperationDefinition", "operation": "query", "name": { "kind": "Name", "value": "getMarketplaceIntegration" }, "variableDefinitions": [{ "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "integrationId" } }, "type": { "kind": "NonNullType", "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "ID" } } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "marketplaceIntegration" }, "arguments": [{ "kind": "Argument", "name": { "kind": "Name", "value": "id" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "integrationId" } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "description" } }, { "kind": "Field", "name": { "kind": "Name", "value": "isCustomerDeployable" } }, { "kind": "Field", "name": { "kind": "Name", "value": "versionIsAvailable" } }, { "kind": "Field", "name": { "kind": "Name", "value": "versionIsLatest" } }, { "kind": "Field", "name": { "kind": "Name", "value": "versionNumber" } }, { "kind": "Field", "name": { "kind": "Name", "value": "versionComment" } }, { "kind": "Field", "name": { "kind": "Name", "value": "versionCreatedAt" } }] } }] } }] };
export const GetMarketplaceIntegrationByNameDocument = { "kind": "Document", "definitions": [{ "kind": "OperationDefinition", "operation": "query", "name": { "kind": "Name", "value": "getMarketplaceIntegrationByName" }, "variableDefinitions": [{ "kind": "VariableDefinition", "variable": { "kind": "Variable", "name": { "kind": "Name", "value": "name" } }, "type": { "kind": "NamedType", "name": { "kind": "Name", "value": "String" } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "marketplaceIntegrations" }, "arguments": [{ "kind": "Argument", "name": { "kind": "Name", "value": "name" }, "value": { "kind": "Variable", "name": { "kind": "Name", "value": "name" } } }], "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "nodes" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "versionNumber" } }] } }] } }] } }] };
export const GetUserInfoDocument = { "kind": "Document", "definitions": [{ "kind": "OperationDefinition", "operation": "query", "name": { "kind": "Name", "value": "getUserInfo" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "authenticatedUser" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "FragmentSpread", "name": { "kind": "Name", "value": "userInfo" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }] } }, { "kind": "FragmentDefinition", "name": { "kind": "Name", "value": "userInfo" }, "typeCondition": { "kind": "NamedType", "name": { "kind": "Name", "value": "User" } }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "email" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "avatarUrl" } }, { "kind": "Field", "name": { "kind": "Name", "value": "appName" } }, { "kind": "Field", "name": { "kind": "Name", "value": "marketplaceName" } }, { "kind": "Field", "name": { "kind": "Name", "value": "appAvatarUrl" } }, { "kind": "Field", "name": { "kind": "Name", "value": "darkMode" } }, { "kind": "Field", "name": { "kind": "Name", "value": "darkModeSyncWithOs" } }, { "kind": "Field", "name": { "kind": "Name", "value": "dateJoined" } }, { "kind": "Field", "name": { "kind": "Name", "value": "featureFlags" } }, { "kind": "Field", "name": { "kind": "Name", "value": "org" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "avatarUrl" } }, { "kind": "Field", "name": { "kind": "Name", "value": "currentPlan" } }, { "kind": "Field", "name": { "kind": "Name", "value": "overdue" } }, { "kind": "Field", "name": { "kind": "Name", "value": "featureFlags" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowExecutionRetryConfig" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddUser" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddCustomer" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowCustomTheme" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowConfigureThemes" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowViewBilling" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddAlertGroup" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddIntegration" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddAlertWebhook" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddCredential" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddExternalLogStream" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddSigningKey" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowEnableInstance" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowExecuteInstance" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowPublishComponent" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowRemove" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowUpdate" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowConfigureEmbedded" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowConfigureExternalLogStreams" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowConfigureCredentials" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowUserLevelConfig" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "customer" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "org" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "avatarUrl" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddUser" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowRemove" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowUpdate" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowConfigureCredentials" } }, { "kind": "Field", "name": { "kind": "Name", "value": "allowAddInstance" } }, { "kind": "Field", "name": { "kind": "Name", "value": "externalId" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "role" }, "selectionSet": { "kind": "SelectionSet", "selections": [{ "kind": "Field", "name": { "kind": "Name", "value": "id" } }, { "kind": "Field", "name": { "kind": "Name", "value": "name" } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }, { "kind": "Field", "name": { "kind": "Name", "value": "__typename" } }] } }] };
