import { CheckIfInstanceNameExistsDocument, } from "../../codegen/gql/graphql";
export async function doesIntegrationInstanceExist(urqlClient, customerId, integrationName) {
    const resp = await gqlCheckIfInstanceExists(urqlClient, {
        customerId,
        name: integrationName,
    });
    return (resp.data?.instances?.nodes?.length ?? []) > 0;
}
async function gqlCheckIfInstanceExists(urqlClient, vars) {
    return urqlClient.query(CheckIfInstanceNameExistsDocument, vars).toPromise();
}
