import { InputInstanceConfigVariable } from "../codegen/gql/graphql";
export interface AlgoliaIntegrationConfig {
    algoliaAppId: string;
    algoliaAdminApiKey: string;
    epccComponentConnectionShared: {
        clientId: string;
        clientSecret: string;
        tokenUrl: string;
    };
    epccBaseUrl: string;
    webhookKey: string;
    webhookUrl?: string;
    webhookApiKey?: string;
    batchSize?: string;
    concurrentThreads?: string;
}
export declare function createAlgoliaIntegrationConfig({ algoliaAppId, algoliaAdminApiKey, epccComponentConnectionShared, epccBaseUrl, webhookKey, webhookUrl, webhookApiKey, batchSize, concurrentThreads, }: AlgoliaIntegrationConfig): InputInstanceConfigVariable[];
