import { TaskConfiguration, TaskConfigurationGenerator } from "@angular-devkit/schematics";
import { SetupIntegrationTaskOptions } from "./options";
export interface CommitOptions {
    message?: string;
    name?: string;
    email?: string;
}
export declare class SetupIntegrationTask implements TaskConfigurationGenerator<SetupIntegrationTaskOptions> {
    workingDirectory?: string | undefined;
    commitOptions?: CommitOptions | undefined;
    constructor(workingDirectory?: string | undefined, commitOptions?: CommitOptions | undefined);
    toConfiguration(): TaskConfiguration<SetupIntegrationTaskOptions>;
}
