"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.epPaymentGatewaySettingsSchema = void 0;
const zod_1 = require("zod");
exports.epPaymentGatewaySettingsSchema = zod_1.z.object({
    epccConfig: zod_1.z.object({
        host: zod_1.z.union([zod_1.z.string(), zod_1.z.literal("eu-west"), zod_1.z.literal("us-east")]),
        clientId: zod_1.z.string(),
        clientSecret: zod_1.z.string(),
    }),
    gatewayName: zod_1.z.literal("ep-payments"),
    epPaymentsStripeAccountId: zod_1.z.string().min(1),
    epPaymentsStripePublishableKey: zod_1.z.string().min(1),
});
