import { resolveRegion } from "./resolve-region";
function resolveEpccHost(region) {
    switch (region) {
        case "eu-west":
            return "api.moltin.com";
        case "us-east":
            return "useast.api.elasticpath.com";
        default:
            return "useast.api.elasticpath.com";
    }
}
export function resolveEpccBaseUrl(host) {
    const region = resolveRegion(host);
    const url = region === "unknown" ? host : resolveEpccHost(region);
    return `https://${url}`;
}
