import { Instance } from "../../codegen/gql/graphql";
type ConnectionResults = {
    success: true;
    connectionsMade: ConnectionResult[];
} | {
    success: false;
    connectionsMade: ConnectionResult[];
    error: Error;
};
type ConnectionResult = {
    name: string;
    id: string;
    success: boolean;
    error?: Error;
};
export declare function performConnectionConfigAuthorisation(instance: Instance): Promise<ConnectionResults>;
export {};
