import { Client } from "@urql/core";
import { DeployInstanceMutation, DeployInstanceMutationVariables } from "../../codegen/gql/graphql";
import { Response } from "../types";
export type DeployedInstanceData = Omit<Exclude<DeployInstanceMutation["deployInstance"], null | undefined>, "__typename">;
export declare function deployIntegrationInstance(urqlClient: Client, vars: DeployInstanceMutationVariables): Promise<Response<DeployedInstanceData>>;
